/**************************************************************************\
*
* Copyright (c)  炫彩界面库. All Rights Reserved.
*
* 炫彩界面库 - 官方网站 : http://www.xcgui.com
*
\**************************************************************************/
#include "stdafx.h"


//CXEventMsg  : C++消息事件接口类
//CMyWnd      : 我的窗口类
class CMyWnd : public CXEventMsg
{
public:
	HWINDOW m_hWindow; //窗口句柄
	HELE    m_hButton; //按钮句柄
	
	BOOL Create() //创建窗口和按钮
	{
		m_hWindow=XWnd_CreateWindow(0,0,400,300,L"炫彩界面库-窗口"); //创建窗口
		if(m_hWindow)
		{
			m_hButton =XBtn_Create(10,10,80,25,L"按钮",m_hWindow); //创建按钮
			XCGUI_RegEleEvent(m_hButton,XE_BNCLICK,&CMyWnd::OnEventBtnClick); //注册按钮点击事件

			XWnd_ShowWindow(m_hWindow,SW_SHOW); //显示窗口
			return TRUE;
		}
		return FALSE;
	}
	BOOL OnEventBtnClick(HELE hEle,HELE hEleEvent) //按钮点击事件响应
	{
		//弹出消息框
		XMessageBox(hEle,L"你点击了按钮",L"提示",XMB_OK | XMB_CANCEL);
		return FALSE;
	}
};

int APIENTRY _tWinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,LPTSTR lpCmdLine, int nCmdShow)
{
	XInitXCGUI();

	CMyWnd  MyWnd;
	if(MyWnd.Create())
	{
		XRunXCGUI();
	}
	return 0;
}
